PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Imaging Data (`pydl.photoop`) »
- window_read

# window_read

pydl.photoop.window.window_read(flist=False, rescore=False, blist=False, bcaps=False, balkans=False, findx=False, bindx=False)

  Read window files in `PHOTO_RESOLVE`.

  Parameters:
    flist `bool`, optional

      If `True`, read the `window_flist.fits` file.

    rescore `bool`, optional

      If `flist` is `True`, look for `window_flist_rescore.fits`, and run `window_score()` if it is not found.

    blist `bool`, optional

      If `True`, read the `window_blist.fits` file.

    bcaps `bool`, optional

      If `True`, read the `window_bcaps.fits` file.

    balkans `bool`, optional

      If `True`, construct the balkans from the `window_blist.fits` and `window_bcaps.fits` files.

    findx `bool`, optional

      If `True`, read the `window_findx.fits` file.

    bindx `bool`, optional

      If `True`, read the `window_bindx.fits` file.

  Returns:
    `dict`

      A dictionary containing the requested window data.

  Notes

  If `balkans` is `True`, the balkans data will be in the form of a `FITS_polygon` object, to facilitate interoperability with `pydl.pydlutils.mangle`. In this object, the keyword `IFIELD` is equivalent to `IPRIMARY` and `PIXEL` is eqivalent to `IBINDX`.